package com.bsentity.enums;


public enum ErrorCodeEnum {

	/**
	 * 枚举清单
	 */
	SUCCESS("0000","请求成功"),

	FAILURE("9999","请求失败"),

	ST00("ST00","服务不可用"),
	ST01("ST01","服务调用超时"),
	ST02("ST02","非法调用或无权限访问"),
	ST03("ST03","服务繁忙"),
	ST05("ST05","消息发送失败"),
	ST10("ST10","操作数据库失败"),
	ST90("ST90","服务限流"),


	BT00("BT00","请求参数不合法"),
	BT01("BT01","请求参数为空"),
	BT02("BT02","数据不存在"),
	BT03("BT03","数据已存在"),



	;
	ErrorCodeEnum(String code, String message) {
		this.code = code;
		this.message = message;
	}

	public String code;

	public String message;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}




}
